Object.defineProperty(exports, "__esModule", { value: true });
const extract_text_1 = require("./extract-text");
// @ts-ignore
const source3 = require("./fixtures/source3.txt");
// @ts-ignore
const publicSource3 = require("./fixtures/public-config.txt");
const source1 = `exports.config = (0, envalid_1.cleanEnv)(process.env, 
    /* start */
    {
        NODE_ENV: (0, envalid_1.str)({ choices: ['production', 'test', 'staging', 'development'], default: 'production' }),
        MAIL_SEND_DEFAULT_EMAIL: (0, envalid_1.str)(),
        TEAM_INVITATION_TOKEN_SECRET: (0, envalid_1.str)({ devDefault: 'webTelkjerEddwe' }),
        INVITATION_TOKEN_SECRET: (0, envalid_1.str)({ devDefault: 'webTelkjerEddwe' }),
        USER_EMAIL_VERIFICATION_TOKEN_SECRET: (0, envalid_1.str)({ default: 'wc62136a0-c364-4911-bf33-010c7f06c55c' }),
        USER_PASSWORD_RESET_TOKEN_SECRET: (0, envalid_1.str)({ default: 'wc62136a0-c364-4911-bf33-010c7f06c55c' }),
        USER_EMAIL_VERIFICATION_LINK: (0, envalid_1.str)({ default: '/verify-email?token=:token' }),
        USER_PASSWORD_RESET_LINK: (0, envalid_1.str)({ default: '/reset-password?token=:token' }),
        GRAPHQL_URL: (0, envalid_1.str)(),
        NAMESPACE: (0, envalid_1.str)({ default: 'default' }),
        APP_NAME: (0, envalid_1.str)({ default: 'CDEBASE.IO' }),
        CLIENT_URL: (0, envalid_1.str)({ default: process.env.CLIENT_URL }),
        SITE_PRIMARY_IMAGE_URL: (0, envalid_1.str)({
            default: 'https://habrastorage.org/webt/ff/1x/js/ff1xjsnvdlnfinirlwb-0p42tlo.png',
        }),
        ACCOUNT_POLICIES: (0, envalid_1.json)({
            default: JSON.stringify({
                [billing_api_core_1.ITierEnum.Free]: {
                    users: 1,
                    monthly_decimal: 0,
                    annually_decimal: 0,
                },
                [billing_api_core_1.ITierEnum.Basic]: {
                    users: 10,
                    monthly_decimal: '500',
                    annually_decimal: '2400',
                },
                [billing_api_core_1.ITierEnum.Premium]: {
                    users: 50,
                    monthly_decimal: '700',
                    annually_decimal: '6000',
                },
                [billing_api_core_1.ITierEnum.Enterprise]: {
                    users: undefined,
                    monthly_decimal: undefined,
                    annually_decimal: undefined,
                },
            }),
        }),
    } /* end */);
`;
const source = `export const config = cleanEnv(
    process.env,
    /* start */
    {
        NODE_ENV: str({ default: 'production', choices: ['production', 'staging', 'development', 'test'] }),
        GOOGLE_API_KEY: str(),
        GRAPHQL_URL: str(),
        NAMESPACE: str({ default: 'default' }),
        STRIPE_SECRET_KEY: str(),
        STRIPE_VERSION: str({ default: '2020-03-02' }),
        STRIPE_API_VERSION: str({ default: 'v1' }),
        STRIPE_PUBLISHABLE_KEY: str(),
        STRIPE_ENDPOINT_SECRET: str(),
        MAIL_SEND_DEFAULT_EMAIL: str(),
        EMAIL_USER: str(),
        APP_NAME: str(),
    } /* end */,
);
`;
const testResult1 = `
{
    NODE_ENV: { required: false },
    MAIL_SEND_DEFAULT_EMAIL: { required: true },
    TEAM_INVITATION_TOKEN_SECRET: { required: true, devRequired: false },
    INVITATION_TOKEN_SECRET: { required: true, devRequired: false },
    USER_EMAIL_VERIFICATION_TOKEN_SECRET: { required: false },
    USER_PASSWORD_RESET_TOKEN_SECRET: { required: false },
    USER_EMAIL_VERIFICATION_LINK: { required: false },
    USER_PASSWORD_RESET_LINK: { required: false },
    GRAPHQL_URL: { required: true },
    NAMESPACE: { required: false },
    APP_NAME: { required: false },
    CLIENT_URL: { required: false },
    SITE_PRIMARY_IMAGE_URL: { required: false },
    ACCOUNT_POLICIES: { required: false }
}
`;
const testResult = `
{
    NODE_ENV:{required:false},
    GOOGLE_API_KEY:{required:true},
    GRAPHQL_URL:{required:true},
    NAMESPACE:{required:false},
    STRIPE_SECRET_KEY:{required:true},
    STRIPE_VERSION:{required:false},
    STRIPE_API_VERSION:{required:false},
    STRIPE_PUBLISHABLE_KEY:{required:true},
    STRIPE_ENDPOINT_SECRET:{required:true},
    MAIL_SEND_DEFAULT_EMAIL:{required:true},
    EMAIL_USER:{required:true},
    APP_NAME:{required:true}
}
`;
console.log(test);
describe('extract env config', () => {
    it('extract text', () => {
        const envConfig1 = (0, extract_text_1.extractEnvConfig)(source1);
        const envConfig = (0, extract_text_1.extractEnvConfig)(source);
        expect(envConfig1).toEqual(testResult1.trim().replace(/ /g, '').replace(/\n/g, ''));
        expect(envConfig).toEqual(testResult.trim().replace(/ /g, '').replace(/\n/g, ''));
    });
    it('extract text source3', () => {
        const envConfig3 = (0, extract_text_1.extractEnvConfig)(source3);
        console.log('--ENVCONFIG 3', envConfig3);
    });
});
describe('extract public variables config', () => {
    it('extract text', () => {
        const envPublic = (0, extract_text_1.extractPublicConfig)(publicSource3);
        console.log('--public', envPublic);
    });
});
function cleanEnv(env, arg1) {
    throw new Error('Function not implemented.');
}
function str(arg0) {
    throw new Error('Function not implemented.');
}
//# sourceMappingURL=extract-text.test.js.map