Object.defineProperty(exports, "__esModule", { value: true });
const getOptionsArray_1 = require("./getOptionsArray");
const envLogger_1 = require("./envLogger");
const ENV_CONFIG_FOLDER = 'env-config';
const PUBLIC_CONFIG_FOLDER = 'public-config';
function default_1(source, map) {
    if (!source) {
        return source;
    }
    this.cacheable && this.cacheable();
    const optionsArray = (0, getOptionsArray_1.default)(this);
    if (this.resource.includes(ENV_CONFIG_FOLDER)) {
        try {
            (0, envLogger_1.sourceToAst)(source);
        }
        catch (err) {
            console.warn(`ENV_LIST_LOADER failed when parsing ENV_CONFIG (ignore error) "${this.resource}"`);
            console.error(err);
        }
    }
    if (this.resource.includes(PUBLIC_CONFIG_FOLDER)) {
        try {
            (0, envLogger_1.sourceToAst)(source);
        }
        catch (err) {
            console.warn(`ENV_LIST_LOADER failed when parsing PUBLIC_CONFIG (ignore error) "${this.resource}"`);
            console.error(err);
        }
    }
    return source;
}
exports.default = default_1;
//# sourceMappingURL=loader.js.map